## view3dscene 3.13.0

=== Makefile ===
.PHONY: compile
compile:
	./compile.sh

.PHONY: install
install:
	$(MAKE) -C desktop/ install

# Run also "dircleaner . clean" here to really clean
.PHONY: clean
clean:
	rm -f view3dscene view3dscene.exe tovrmlx3d tovrmlx3d.exe
	rm -Rf view3dscene.app tovrmlx3d.app macosx/view3dscene.app

=== images/Makefile ===
.PHONY: all clean

ALL_UNITS=../v3dsceneimages.pas

all: $(ALL_UNITS)

clean:
	rm -f $(ALL_UNITS)

../v3dsceneimages.pas: warning_icon.png examine.png walk.png fly.png \
  open.png screenshot.png examine_tooltip.png walk_fly_tooltip.png
	image_to_pas --output .. V3DSceneImages \
	  warning_icon.png examine.png walk.png fly.png open.png screenshot.png \
	  @alpha=strip examine_tooltip.png walk_fly_tooltip.png

=== screen_effects/Makefile ===
ALL_TARGETS := ../screen_effects_flashlight.glsl.inc \
               ../screen_effects_edge_detect.glsl.inc

default: $(ALL_TARGETS)

clean:
	rm -f $(ALL_TARGETS)

../screen_effects_%.glsl.inc: %.glsl
	file_to_pascal_string $< $@

=== windows/Makefile ===
view3dscene.res: view3dscene.rc view3dscene.ico
	windres -i $< -o $@

=== debian/changelog ===
view3dscene (3.13.0-2) unstable; urgency=low

  * Fix i368 build failure (wrong variable to determine multiarch path)
    (Closes: #724261)
  * Fix dependencies/recommends (the not auto-detected ones)
  * Move fpc, lazarus and CGE-doc to suggests, they are not needed to run
    view3dscene in any way.
  * Apply upstream patch to use qscale in ffmpeg in stead of sameq
  * lintian: fix hyphens in manpage

 -- Paul Gevers <elbrus@debian.org>  Sat, 28 Sep 2013 17:38:06 +0200

view3dscene (3.13.0-1) unstable; urgency=low

  [ Abou Al Montacir ]
  * Packaged view3dscene for Debian. (Closes: Bug#707932)

 -- Paul Gevers <elbrus@debian.org>  Thu, 19 Sep 2013 21:17:12 +0200

=== debian/control ===
Source: view3dscene
Section: misc
Priority: optional
Maintainer: Abou Al Montacir <abou.almontacir@sfr.fr>
Uploaders:
 Paul Gevers <elbrus@debian.org>
Standards-Version: 3.9.4
Build-Depends:
 debhelper (>= 7),
 fp-compiler,
 fp-units-castle-game-engine (>=4.1.1),
 fp-units-fcl,
 fp-units-gfx,
 fp-units-gtk2,
 fp-utils (>= 2.6.2),
 graphicsmagick-imagemagick-compat | imagemagick,
 libatk1.0-dev,
 libgdk-pixbuf2.0-dev,
 libgtk2.0-dev,
 libgtkglext1-dev,
 libpango1.0-dev,
 libx11-dev,
 quilt
Vcs-Git: http://code.google.com/p/pascal-for-debian.view3dscene
Vcs-Browser: http://code.google.com/p/pascal-for-debian/source/browse/?repo=view3dscene
Homepage: http://castle-engine.sourceforge.net/view3dscene.php

Package: view3dscene
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 libgl1-mesa-swx11 | libgl1-mesa-glx | libgl1-nvidia-glx,
 libpng12-0,
 zlib1g
Recommends:
 libopenal1,
 libvorbisfile3
Suggests:
 castle-game-engine-doc,
 fpc,
 fp-units-castle-game-engine,
 lazarus,
 graphicsmagick-imagemagick-compat | imagemagick,
 libav-tools | ffmpeg
Description: VRML / X3D browser, and a viewer for other 3D model formats
 view3dscene is a viewer for many 3D model formats:
  - X3D
  - VRML (1.0 and 2.0, aka VRML 97)
  - Collada
  - OpenInventor
  - 3DS
  - MD3
  - Wavefront OBJ
  - Videoscape GEO
  - KAnim (Castle Game Engine animations)
 .
 Various navigation modes are available, like Examine, Walk (with gravity), Fly.
 Collision detection is done. Models can be animated and interactive. Many
 graphic effects are possible, thanks to using Castle Game Engine underneath.
 .
 view3dscene may also be used to convert many 3D model formats to X3D
 (in classic and XML encoding). This package includes also a command-line
 tovrmlx3d program, that performs the same conversions as view3dscene,
 but doesn't use X or OpenGL (so it's nice to use in scripts to convert
 3D models in batch mode).

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for FPTC

DEB_PACKAGE_NAME = view3dscene
DEB_DH_BUILDDEB_ARGS := -- -Z bzip2
export DH_ALWAYS_EXCLUDE := COPYING:LICENSE
export LANG:=C

# Define FPC
ifndef FPC
FPC=/usr/bin/fpc
endif
# Set FPCVER
FPCVER=$(shell ${FPC} -iV)

FPCTARGET=$(CPU_TARGET)-linux
# Get version information from changelog file
DEB_VERSION:=$(shell dpkg-parsechangelog | egrep '^Version:' | cut -f 2 -d ' ')
DEB_UPSTREAM_VERSION:=$(shell echo $(DEB_VERSION) | cut -f 1 -d -)
DEB_UPSTREAM_MAIN_VERSION:=$(shell echo ${DEB_UPSTREAM_VERSION} | sed -e 's/^\([0-9\.]*\).*/\1/')
DEB_BUILD=$(lastword $(subst -, ,${DEB_VERSION}))
ifndef PACKAGESUFFIX
#export PACKAGESUFFIX=-${DEB_UPSTREAM_MAIN_VERSION}
endif
# Get directories
CURDIR:=$(shell pwd)
INSTALL_DIR=$(CURDIR)/debian/tmp
BIN_DIR=${INSTALL_DIR}/usr/bin
DOC_DIR=${INSTALL_DIR}/usr/share/doc/${DEB_PACKAGE_NAME}
LIB_DIR=${INSTALL_DIR}/usr/lib/${DEB_PACKAGE_NAME}/${DEB_UPSTREAM_MAIN_VERSION}
MAN_DIR=${INSTALL_DIR}/usr/share/man
# Get utils
ifndef MKDIR
MKDIR=mkdir -p
endif
ifndef CP
CP=cp -Rfpl
endif
RM:=rm -rf
# Get fpcmake from path if none is specified.
ifndef FPCMAKE
FPCMAKE=fpcmake
endif
# Define FPCDIR if it was not set
ifndef FPCDIR
export FPCDIR=/usr/lib/fpc/${FPCVER}
endif
ifndef LAZBUILD
LAZBUILD=lazbuild
endif
# Get current upstream CGE version as that is used in the path of it's files
CGEVERSION := $(shell dpkg-query -f '$${Version}'  -W 'fp-units-castle-game-engine' | sed -e 's/-[^-]*$$//g')
# Set default compilation options
DEB_HOST_MULTIARCH := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
LDFLAGS=$(shell dpkg-buildflags --get LDFLAGS | sed -e 's/-Wl,//g' -e 's/,/ /g')
BUILDOPTS=-k"${LDFLAGS}"\
	-dRELEASE \
	-Mobjfpc \
	-Sh \
	-Ci \
	-Sm \
	-Sc \
	-Sg \
	-Si \
	-O2 \
	-Xs \
	-FU${LIB_DIR} \
	-FE${BIN_DIR} \
	-Fu/usr/lib/${DEB_HOST_MULTIARCH}/fp-units-${FPCVER}/castle-game-engine-${CGEVERSION}/

# Configure patch system
include /usr/share/quilt/quilt.make

#export DH_VERBOSE=1

###################
# Clean
#

clean: patch configure clean-patched unpatch
	# dh_clean gets a list of files from the debian/clean file
	dh_clean
clean-patched:
	@echo "--- Cleaning"
	dh_testdir
	$(MAKE) clean
	dh_prep

###################
# Arch packages
#

configure: patch configure-stamp
configure-stamp:
	dh_testdir
#	# Remove auto-generated version file.
#	${RM} ide/version.inc
#	# Add version.inc:
#	echo \'$(DEB_VERSION)\' > version.inc
	touch configure-stamp

build-arch: configure build-arch-stamp build-doc
build-arch-stamp:
	@echo "--- Building"
	dh_testdir
	${MKDIR} $(BIN_DIR)
	${MKDIR} $(LIB_DIR)
	fpc $(BUILDOPTS) view3dscene.lpr
	fpc $(BUILDOPTS) tovrmlx3d.lpr
	touch build-arch-stamp

install-arch: build-arch install-arch-stamp install-doc
install-arch-stamp:
	@echo "--- Installing"
	dh_testdir
	dh_testroot
	dh_installdirs
	# copy images, sounds, icons and menu entries for the GNOME menu
	${MKDIR} $(INSTALL_DIR)/usr/share/pixmaps
	convert -geometry 32x32 desktop/view3dscene.svg $(INSTALL_DIR)/usr/share/pixmaps/view3dscene.xpm
	${MKDIR} $(INSTALL_DIR)/usr/share/icons/hicolor/48x48/apps
	convert -geometry 48x48 desktop/view3dscene.svg $(INSTALL_DIR)/usr/share/icons/hicolor/48x48/apps/view3dscene.png
	#  build/share/images
	#  build/share/locale
	#  build/share/sounds
ifeq (${DEB_BUILD},0)
	# We are building upstream debs, install override files for build = 0
	set -x -e ; cd debian ; for PACKAGE in `sed -n -e 's/Package: \(.*\)/\1/p' control` ; do \
	  if [ -d $${PACKAGE} ] ; \
	  then \
	    ${MKDIR} $${PACKAGE}/usr/share/lintian/overrides ; \
	    echo "$${PACKAGE}: debian-revision-should-not-be-zero" >> $${PACKAGE}/usr/share/lintian/overrides/$${PACKAGE} ; \
	  fi ; \
	done
endif
	find ${INSTALL_DIR} -empty -delete
	touch install-arch-stamp

build-indep: configure
install-indep:

###################
# Documentation
#

build-doc: patch build-doc-stamp
build-doc-stamp:
	@echo "--- Building Documentation"
	dh_testdir
	# Need to activate the next line when pasdoc is packaged for Debian
#	${MAKE} -C doc/pasdoc ${CONVERTER} ${BUILDOPTS}
	touch build-doc-stamp

install-doc: build-doc install-doc-stamp
install-doc-stamp:
	@echo "--- Installing Documentation"
	dh_testdir
	dh_testroot
	# No need to do anything now as we take specific docs straight
	# from the source dir with dh_installdocs in the binary-indep target
	${MKDIR} ${DOC_DIR}
	#${CP} -t ${DOC_DIR} doc/*.txt doc/pasdoc/*
	touch install-doc-stamp

###################
# Generic
#

build: build-arch build-indep
install: install-arch install-indep
binary: binary-arch binary-indep


###################
# Deb building
#

binary-indep: install-indep
	# No arch-indep package

binary-arch: install-arch
	@echo "--- Building: arch packages"
	dh_testdir
	dh_testroot
	dh_link
	dh_installdocs -a -X.in
	dh_installchangelogs -a
	dh_installexamples -a
	dh_install -a --list-missing
	dh_installmime -a
	dh_lintian
	dh_installmenu
	fpc-depends
	dh_installman -s
	dh_strip -s
	dh_compress -a
	dh_fixperms -a
	dh_installdebconf -a
	dh_installdeb -a
	dh_shlibdeps -s
	dh_gencontrol -s
	dh_md5sums -s
	dh_builddeb -s $(DEB_DH_BUILDDEB_ARGS)

.PHONY: build clean binary binary-arch \
	binary-indep build-arch \
	install install-indep install-arch \
	configure

get-orig-source:
	-uscan --upstream-version=0 --rename

=== debian/watch ===
version=3
http://sf.net/castle-engine/ view3dscene-(.*)-src.tar.gz debian uupdate

## view3dscene 3.14.0

=== Makefile ===
--- 
+++ 
@@ -10,4 +10,4 @@
 .PHONY: clean
 clean:
 	rm -f view3dscene view3dscene.exe tovrmlx3d tovrmlx3d.exe
-	rm -Rf view3dscene.app tovrmlx3d.app macosx/view3dscene.app
+	rm -Rf view3dscene.app tovrmlx3d.app macosx/view3dscene.app macosx/*.dmg

=== debian/changelog ===
view3dscene (3.14.0-1) unstable; urgency=medium

  [ Paul Gevers ]
  * Remove nearly obsolete bzip compression for binary packages
    (See https://lists.debian.org/debian-devel/2014/01/msg00542.html)
  * Raise version of BD on fp-units-castle-game-engine to prevent FTBFS
    (Closes: #750340)
  * Bump standards to 3.9.5 (no changes)
  * Remove unused patch (applied upstream)
  * Build depend on cge-src and link castleconf.inc in build directory

  [ Abou Al Montacir ]
  * New upstream release.
    - Drop patch already applied upstream
  * Don't build depend on quilt

 -- Paul Gevers <elbrus@debian.org>  Sun, 08 Jun 2014 16:12:33 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,16 @@
 Source: view3dscene
 Section: misc
 Priority: optional
-Maintainer: Abou Al Montacir <abou.almontacir@sfr.fr>
+Maintainer: Pascal Packaging Team <pkg-pascal-devel@lists.alioth.debian.org>
 Uploaders:
+ Abou Al Montacir <abou.almontacir@sfr.fr>,
  Paul Gevers <elbrus@debian.org>
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Build-Depends:
+ castle-game-engine-src,
  debhelper (>= 7),
  fp-compiler,
- fp-units-castle-game-engine (>=4.1.1),
+ fp-units-castle-game-engine (>=5.0.0-2~),
  fp-units-fcl,
  fp-units-gfx,
  fp-units-gtk2,
@@ -19,10 +21,9 @@
  libgtk2.0-dev,
  libgtkglext1-dev,
  libpango1.0-dev,
- libx11-dev,
- quilt
-Vcs-Git: http://code.google.com/p/pascal-for-debian.view3dscene
-Vcs-Browser: http://code.google.com/p/pascal-for-debian/source/browse/?repo=view3dscene
+ libx11-dev
+Vcs-Git: git://anonscm.debian.org/pkg-pascal/view3dscene.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-pascal/view3dscene.git
 Homepage: http://castle-engine.sourceforge.net/view3dscene.php
 
 Package: view3dscene

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,6 @@
 # debian/rules for FPTC
 
 DEB_PACKAGE_NAME = view3dscene
-DEB_DH_BUILDDEB_ARGS := -- -Z bzip2
 export DH_ALWAYS_EXCLUDE := COPYING:LICENSE
 export LANG:=C
 
@@ -68,16 +67,13 @@
 	-FE${BIN_DIR} \
 	-Fu/usr/lib/${DEB_HOST_MULTIARCH}/fp-units-${FPCVER}/castle-game-engine-${CGEVERSION}/
 
-# Configure patch system
-include /usr/share/quilt/quilt.make
-
 #export DH_VERBOSE=1
 
 ###################
 # Clean
 #
 
-clean: patch configure clean-patched unpatch
+clean: configure clean-patched
 	# dh_clean gets a list of files from the debian/clean file
 	dh_clean
 clean-patched:
@@ -90,13 +86,16 @@
 # Arch packages
 #
 
-configure: patch configure-stamp
+configure: configure-stamp
 configure-stamp:
 	dh_testdir
 #	# Remove auto-generated version file.
 #	${RM} ide/version.inc
 #	# Add version.inc:
 #	echo \'$(DEB_VERSION)\' > version.inc
+	if [ ! -f castleconf.inc ] ; then \
+		ln -s `dpkg-query -L castle-game-engine-src | grep castleconf.inc` ./ ;\
+	fi
 	touch configure-stamp
 
 build-arch: configure build-arch-stamp build-doc
@@ -143,7 +142,7 @@
 # Documentation
 #
 
-build-doc: patch build-doc-stamp
+build-doc: build-doc-stamp
 build-doc-stamp:
 	@echo "--- Building Documentation"
 	dh_testdir

## view3dscene 3.15.0

=== Makefile ===
--- 
+++ 
@@ -9,5 +9,6 @@
 # Run also "dircleaner . clean" here to really clean
 .PHONY: clean
 clean:
-	rm -f view3dscene view3dscene.exe tovrmlx3d tovrmlx3d.exe
+	castle-engine clean
+	rm -f tovrmlx3d tovrmlx3d.exe
 	rm -Rf view3dscene.app tovrmlx3d.app macosx/view3dscene.app macosx/*.dmg

=== images/Makefile ===
.PHONY: all clean

ALL_UNITS=../v3dsceneimages.pas

all: $(ALL_UNITS)

clean:
	rm -f $(ALL_UNITS)

../v3dsceneimages.pas: warning_icon.png examine.png walk.png fly.png \
  open.png screenshot.png examine_tooltip.png walk_fly_tooltip.png TooltipArrow.png
	image_to_pas --output .. V3DSceneImages \
	  warning_icon.png examine.png walk.png fly.png open.png screenshot.png \
	  TooltipArrow.png \
	  @alpha=strip examine_tooltip.png walk_fly_tooltip.png

=== internal_scenes/Makefile ===
# This requires file_to_pascal_string that is a trivial program
# that I made for pasdoc [http://pasdoc.sf.net/] project, see
# [https://pasdoc.svn.sourceforge.net/svnroot/pasdoc/trunk/source/tools/file_to_pascal_string.dpr]

ALL_TARGETS := ../welcome_scene.inc ../clear_scene.inc

default: $(ALL_TARGETS)

clean:
	rm -f $(ALL_TARGETS)

../welcome_scene.inc: welcome_scene.wrl
	file_to_pascal_string $< $@

../clear_scene.inc: clear_scene.wrl
	file_to_pascal_string $< $@

=== debian/changelog ===
view3dscene (3.15.0-6) unstable; urgency=medium

  * Switch from imagemagick to inkscape to work around FTBFS (Closes:
    #828120)
  * Drop xpm file as it was only used by the removed menu file

 -- Paul Gevers <elbrus@debian.org>  Thu, 08 Sep 2016 21:23:21 +0200

view3dscene (3.15.0-5) unstable; urgency=medium

  * Acknowledge NMU by Tobias (thanks)
  * Drop Depends on libpng* as it is picked up already via libgtk-pixbuf*
    so we don't need to determine it ourselves and it will not be needed
    with the next version of cge (Closes: #820566)
  * Version the Build-Depends on CGE because we want png support
  * Drop some suggested packages that are really only for devs
  * Bump standards version (no changes)

 -- Paul Gevers <elbrus@debian.org>  Tue, 19 Apr 2016 20:50:45 +0200

view3dscene (3.15.0-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Replace manual dependency on libpng12-12 with libpng-16-16.
    (see #820566 -- explictily not closing that bug).

 -- Tobias Frost <tobi@debian.org>  Sun, 10 Apr 2016 10:08:28 +0200

view3dscene (3.15.0-4) unstable; urgency=medium

  * Fix FTBFS with fpc 3.0.0 by adding BD on fp-units-net
  * Updated Vcs-* fields to use https
  * Bump standards version (no changes)
  * Fix spelling issues found by Lintian (not all can be fixed inside this
    package)

 -- Paul Gevers <elbrus@debian.org>  Wed, 03 Feb 2016 20:22:41 +0100

view3dscene (3.15.0-3) unstable; urgency=medium

  * Fix FTBFS by adding debian/patches/view3dscene-fix-for-cge520.patch
    for changed API of cge (Closes: #806488)
  * Drop menu file since TC decision on bug #741573

 -- Paul Gevers <elbrus@debian.org>  Sat, 28 Nov 2015 10:37:25 +0100

view3dscene (3.15.0-2) unstable; urgency=medium

  * Temporarily drop dependency on kicad-common as that FTBFS (we
    don't need it, just nice to have)
  * Bump debhelper level to 9

 -- Paul Gevers <elbrus@debian.org>  Tue, 08 Sep 2015 21:32:52 +0200

view3dscene (3.15.0-1) unstable; urgency=medium

  * New upstream release
  * Raise versioned dependency on fp-units-castle-game-engine
  * Update dates in d/copyright
  * Bump standards to 3.9.6 (no changes)
  * Enable some testing during building (b-depend on kicad-common and
    whitedune-docs to have a bunch of files to test)
  * Add TODO list

 -- Paul Gevers <elbrus@debian.org>  Sat, 13 Jun 2015 13:12:13 +0200

=== debian/control ===
--- 
+++ 
@@ -5,25 +5,27 @@
 Uploaders:
  Abou Al Montacir <abou.almontacir@sfr.fr>,
  Paul Gevers <elbrus@debian.org>
-Standards-Version: 3.9.5
+Standards-Version: 3.9.8
 Build-Depends:
  castle-game-engine-src,
- debhelper (>= 7),
+ debhelper (>= 9),
  fp-compiler,
- fp-units-castle-game-engine (>=5.0.0-2~),
+ fp-units-castle-game-engine (>= 5.2.0-3~),
  fp-units-fcl,
  fp-units-gfx,
  fp-units-gtk2,
+ fp-units-net,
  fp-utils (>= 2.6.2),
- graphicsmagick-imagemagick-compat | imagemagick,
+ inkscape,
  libatk1.0-dev,
  libgdk-pixbuf2.0-dev,
  libgtk2.0-dev,
  libgtkglext1-dev,
  libpango1.0-dev,
- libx11-dev
-Vcs-Git: git://anonscm.debian.org/pkg-pascal/view3dscene.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-pascal/view3dscene.git
+ libx11-dev,
+ whitedune-docs,
+Vcs-Git: https://anonscm.debian.org/git/pkg-pascal/view3dscene.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-pascal/view3dscene.git
 Homepage: http://castle-engine.sourceforge.net/view3dscene.php
 
 Package: view3dscene
@@ -32,16 +34,11 @@
  ${misc:Depends},
  ${shlibs:Depends},
  libgl1-mesa-swx11 | libgl1-mesa-glx | libgl1-nvidia-glx,
- libpng12-0,
  zlib1g
 Recommends:
  libopenal1,
  libvorbisfile3
 Suggests:
- castle-game-engine-doc,
- fpc,
- fp-units-castle-game-engine,
- lazarus,
  graphicsmagick-imagemagick-compat | imagemagick,
  libav-tools | ffmpeg
 Description: VRML / X3D browser, and a viewer for other 3D model formats

=== debian/rules ===
--- 
+++ 
@@ -73,7 +73,7 @@
 # Clean
 #
 
-clean: configure clean-patched
+clean: clean-patched
 	# dh_clean gets a list of files from the debian/clean file
 	dh_clean
 clean-patched:
@@ -106,6 +106,19 @@
 	${MKDIR} $(LIB_DIR)
 	fpc $(BUILDOPTS) view3dscene.lpr
 	fpc $(BUILDOPTS) tovrmlx3d.lpr
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	# Code to run the package test suite.
+	# We need the directories where the files to test are to be
+	# writeable by the current (non-root) user. Copying them in
+	# the current tree is the easiest way to accomplish that.
+	mkdir -p debian/tmp/kicad
+	mkdir -p debian/tmp/whitedune
+#	cp -R /usr/share/kicad/modules/ debian/tmp/kicad
+	cp -R /usr/share/doc/whitedune-docs/ debian/tmp/whitedune
+	PATH=$$PATH:debian/tmp/usr/bin/ ./run_tests.sh debian/tmp/run_tests_errors.txt debian/tmp/run_tests_output.txt
+	cat debian/tmp/run_tests_errors.txt
+	${RM} debian/tmp/kicad debian/tmp/whitedune
+endif
 	touch build-arch-stamp
 
 install-arch: build-arch install-arch-stamp install-doc
@@ -114,11 +127,9 @@
 	dh_testdir
 	dh_testroot
 	dh_installdirs
-	# copy images, sounds, icons and menu entries for the GNOME menu
-	${MKDIR} $(INSTALL_DIR)/usr/share/pixmaps
-	convert -geometry 32x32 desktop/view3dscene.svg $(INSTALL_DIR)/usr/share/pixmaps/view3dscene.xpm
 	${MKDIR} $(INSTALL_DIR)/usr/share/icons/hicolor/48x48/apps
-	convert -geometry 48x48 desktop/view3dscene.svg $(INSTALL_DIR)/usr/share/icons/hicolor/48x48/apps/view3dscene.png
+#	convert -geometry 48x48 desktop/view3dscene.svg $(INSTALL_DIR)/usr/share/icons/hicolor/48x48/apps/view3dscene.png
+	inkscape --export-width=48 --export-height=48 desktop/view3dscene.svg --export-png=$(INSTALL_DIR)/usr/share/icons/hicolor/48x48/apps/view3dscene.png
 	#  build/share/images
 	#  build/share/locale
 	#  build/share/sounds

## view3dscene 3.16.1

=== Makefile ===
# build / clean --------------------------------------------------------------

.PHONY: compile
compile:
	./compile.sh

# Run also "dircleaner . clean" here to really clean
.PHONY: clean
clean:
	if which castle-engine > /dev/null; then castle-engine clean; else rm -f code/*.ppu code/*.o code/*.or code/*.rst code/*.rsj code/*.compiled; fi
	rm -f view3dscene view3dscene.exe code/view3dscene code/view3dscene.exe \
	      tovrmlx3d tovrmlx3d.exe code/tovrmlx3d code/tovrmlx3d.exe
	rm -Rf view3dscene.app tovrmlx3d.app macosx/view3dscene.app macosx/tovrmlx3d.app macosx/*.dmg

# install / uninstall --------------------------------------------------------
#
# By default view3dscene is installed system-wide to /usr/local .
# You can run "make" followed by "sudo make install" to have it
# ready on a typical Unix system.

# Standard installation dirs, following conventions on
# http://www.gnu.org/prep/standards/html_node/Directory-Variables.html#Directory-Variables
PREFIX=$(DESTDIR)/usr/local
EXEC_PREFIX=$(PREFIX)
BINDIR=$(EXEC_PREFIX)/bin
DATAROOTDIR=$(PREFIX)/share
DATADIR=$(DATAROOTDIR)

.PHONY: install
install:
	install view3dscene $(BINDIR)
	install tovrmlx3d $(BINDIR)
	cd desktop/ && ./install.sh "$(DATADIR)"

.PHONY: uninstall
uninstall:
	rm -f $(BINDIR)/view3dscene \
	      $(BINDIR)/tovrmlx3d

# code generation ------------------------------------------------------------

# Run a couple of child targets to autogenerate some code
.PHONY: generate-code
generate-code:
	$(MAKE) -C images/
	$(MAKE) -C internal_scenes/
	$(MAKE) -C screen_effects/

# Clean autogenerated code
.PHONY: clean-code
clean-code:
	$(MAKE) -C images/ clean
	$(MAKE) -C internal_scenes/ clean
	$(MAKE) -C screen_effects/ clean

=== images/Makefile ===
.PHONY: all clean

ALL_UNITS=../code/v3dsceneimages.pas

all: $(ALL_UNITS)

clean:
	rm -f $(ALL_UNITS)

../code/v3dsceneimages.pas: warning_icon.png examine.png walk.png fly.png \
  open.png screenshot.png examine_tooltip.png walk_fly_tooltip.png \
  TooltipArrow.png light_gizmo.png
	image2pascal --output ../code V3DSceneImages \
	  warning_icon.png examine.png walk.png fly.png open.png \
	  screenshot.png TooltipArrow.png light_gizmo.png \
	  @alpha=strip examine_tooltip.png walk_fly_tooltip.png

=== debian/changelog ===
view3dscene (3.16.1-1) experimental; urgency=medium

  * New upstream version 3.16.1
  * Bump required version for castle-game-engine packages
  * Update upstream homepage
  * Update d/copyright for new source
  * Drop and refresh patches based on new source code
  * Bump debhelper compat level
  * Generate input code and add file_to_pascal_string to do it
  * Add upstream add-keyword-to-desktop-file.patch
  * Drop lintian override, it isn't needed anymore
  * Enable bindnow in the linker flags
  * Rework d/rules to use shorthand debhelper
  * Enable testing with kicad-common again

 -- Paul Gevers <elbrus@debian.org>  Sat, 01 Apr 2017 10:20:47 +0200

=== debian/control ===
--- 
+++ 
@@ -7,16 +7,17 @@
  Paul Gevers <elbrus@debian.org>
 Standards-Version: 3.9.8
 Build-Depends:
- castle-game-engine-src,
- debhelper (>= 9),
+ castle-game-engine-src (>= 6~),
+ debhelper (>= 10~),
  fp-compiler,
- fp-units-castle-game-engine (>= 5.2.0-3~),
+ fp-units-castle-game-engine (>= 6~),
  fp-units-fcl,
  fp-units-gfx,
  fp-units-gtk2,
  fp-units-net,
  fp-utils (>= 2.6.2),
  inkscape,
+ kicad-common,
  libatk1.0-dev,
  libgdk-pixbuf2.0-dev,
  libgtk2.0-dev,
@@ -26,7 +27,7 @@
  whitedune-docs,
 Vcs-Git: https://anonscm.debian.org/git/pkg-pascal/view3dscene.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-pascal/view3dscene.git
-Homepage: http://castle-engine.sourceforge.net/view3dscene.php
+Homepage: https://castle-engine.sourceforge.io/view3dscene.php
 
 Package: view3dscene
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS := hardening=+bindnow
export DH_ALWAYS_EXCLUDE := COPYING:LICENSE
export LANG:=C

# Set FPCVER
FPCVER=$(shell fpc -iV)

# Get directories
CURDIR:=$(shell pwd)
TMP_DIR=$(CURDIR)/debian/tmp

# Get current upstream CGE version as that is used in the path of it's files
CGEVERSION := $(shell dpkg-query -f '$${Version}'  -W 'fp-units-castle-game-engine' | sed -e 's/-[^-]*$$//g;s/+dfsg[0-9]*//g')

# Set default compilation options
DEB_HOST_MULTIARCH := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
LDFLAGS=$(strip $(shell DEB_BUILD_MAINT_OPTIONS=$(DEB_BUILD_MAINT_OPTIONS) \
	dpkg-buildflags --get LDFLAGS | \
	sed -e 's/-Wl,//g' -e 's/,/ /g' -e 's1-specs=/usr/share/dpkg/.*\.specs11'))
BUILDOPTS=-k"${LDFLAGS}"\
	-dRELEASE \
	-Mobjfpc \
	-Sh \
	-Ci \
	-Sm \
	-Sc \
	-Sg \
	-Si \
	-O2 \
	-Xs \
	-Fu/usr/lib/${DEB_HOST_MULTIARCH}/fp-units-${FPCVER}/castle-game-engine-${CGEVERSION}/

#export DH_VERBOSE=1

%:
	dh ${@}

override_dh_auto_clean:
	$(MAKE) clean-code
	dh_auto_clean

override_dh_auto_configure:
	if [ ! -f castleconf.inc ] ; then \
		ln -s `dpkg-query -L castle-game-engine-src | grep castleconf.inc` ./ ;\
	fi
	dh_auto_configure

override_dh_auto_build-arch:
	mkdir -p $(TMP_DIR)

	# Once pasdoc ships file_to_pascal_string, the next lines can be simplified
	fpc -FE$(TMP_DIR) debian/file_to_pascal_string.dpr
	PATH=${PATH}:$(TMP_DIR) $(MAKE) generate-code

	fpc $(BUILDOPTS) code/view3dscene.lpr
	fpc $(BUILDOPTS) code/tovrmlx3d.lpr

	inkscape --export-width=48 --export-height=48 desktop/view3dscene.svg --export-png=desktop/view3dscene.png

override_dh_auto_test:
	# Code to run the package test suite.
	# We need the directories where the files to test are to be
	# writeable by the current (non-root) user. Copying them in
	# the current tree is the easiest way to accomplish that.
	mkdir -p $(TMP_DIR)/kicad
	mkdir -p $(TMP_DIR)/whitedune
	cp -R /usr/share/kicad/modules/ $(TMP_DIR)/kicad
	cp -R /usr/share/doc/whitedune-docs/ $(TMP_DIR)/whitedune
	PATH=$$PATH:$(CURDIR)/code jenkins_scripts/run_tests.sh $(TMP_DIR)/run_tests_errors.txt $(TMP_DIR)/run_tests_output.txt
	cat $(TMP_DIR)/run_tests_errors.txt

override_dh_auto_install:

## view3dscene 3.17.0

=== debian/changelog ===
view3dscene (3.17.0-1) unstable; urgency=medium

  * Upload to unstable
  * New upstream release
  * Drop patches from upstream
  * Bump standards version to 4.0.0 (no changes)
  * Bump required version for castle-game-engine packages

 -- Paul Gevers <elbrus@debian.org>  Wed, 12 Jul 2017 21:46:04 +0200

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,12 @@
 Uploaders:
  Abou Al Montacir <abou.almontacir@sfr.fr>,
  Paul Gevers <elbrus@debian.org>
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Build-Depends:
- castle-game-engine-src (>= 6~),
+ castle-game-engine-src (>= 6.2~),
  debhelper (>= 10~),
  fp-compiler,
- fp-units-castle-game-engine (>= 6~),
+ fp-units-castle-game-engine (>= 6.2~),
  fp-units-fcl,
  fp-units-gfx,
  fp-units-gtk2,

## view3dscene 3.18.0

=== Makefile ===
--- 
+++ 
@@ -10,7 +10,12 @@
 	if which castle-engine > /dev/null; then castle-engine clean; else rm -f code/*.ppu code/*.o code/*.or code/*.rst code/*.rsj code/*.compiled; fi
 	rm -f view3dscene view3dscene.exe code/view3dscene code/view3dscene.exe \
 	      tovrmlx3d tovrmlx3d.exe code/tovrmlx3d code/tovrmlx3d.exe
-	rm -Rf view3dscene.app tovrmlx3d.app macosx/view3dscene.app macosx/tovrmlx3d.app macosx/*.dmg
+	rm -Rf view3dscene.app \
+	       tovrmlx3d.app \
+	       macosx/view3dscene.app \
+	       macosx/tovrmlx3d.app \
+	       macosx/*.dmg \
+	       castle-engine-output
 
 # install / uninstall --------------------------------------------------------
 #
@@ -28,14 +33,17 @@
 
 .PHONY: install
 install:
+	install -d $(BINDIR)
 	install view3dscene $(BINDIR)
 	install tovrmlx3d $(BINDIR)
+	install -d  $(DATADIR)
 	cd desktop/ && ./install.sh "$(DATADIR)"
 
 .PHONY: uninstall
 uninstall:
 	rm -f $(BINDIR)/view3dscene \
 	      $(BINDIR)/tovrmlx3d
+	cd desktop/ && ./uninstall.sh "$(DATADIR)"
 
 # code generation ------------------------------------------------------------

=== desktop/Makefile ===
# See INSTALL file for some comments about installing desktop data.

APP_NAME := glViewImage

VIEW3DSCENE_ICON := ../../www/logo/6_thicker.svg

ALL_IMAGES := $(APP_NAME).png $(APP_NAME).svg $(APP_NAME).icns

.PHONY: all_images
all_images: $(ALL_IMAGES)

# Copy/convert $(VIEW3DSCENE_ICON) to nice names, in svg and (48x48) png.
$(APP_NAME).svg: $(VIEW3DSCENE_ICON)
	cp -f $< $@

$(APP_NAME).png: $(VIEW3DSCENE_ICON)
	inkscape --export-width=48 --export-height=48 $< --export-png=$@

$(APP_NAME).icns: $(VIEW3DSCENE_ICON)
	../../scripts/svg_to_icns.sh $< $@

=== images/Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 ../code/v3dsceneimages.pas: warning_icon.png examine.png walk.png fly.png \
   open.png screenshot.png examine_tooltip.png walk_fly_tooltip.png \
   TooltipArrow.png light_gizmo.png
-	image2pascal --output ../code V3DSceneImages \
+	image-to-pascal --output ../code V3DSceneImages \
 	  warning_icon.png examine.png walk.png fly.png open.png \
 	  screenshot.png TooltipArrow.png light_gizmo.png \
 	  @alpha=strip examine_tooltip.png walk_fly_tooltip.png

=== internal_scenes/Makefile ===
# This requires file_to_pascal_string that is a trivial program
# that I made for pasdoc [http://pasdoc.sf.net/] project, see
# [https://pasdoc.svn.sourceforge.net/svnroot/pasdoc/trunk/source/tools/file_to_pascal_string.dpr]

ALL_TARGETS := ../code/welcome_scene.inc ../code/clear_scene.inc

default: $(ALL_TARGETS)

clean:
	rm -f $(ALL_TARGETS)

../code/welcome_scene.inc: welcome_scene.wrl
	file_to_pascal_string $< $@

../code/clear_scene.inc: clear_scene.wrl
	file_to_pascal_string $< $@

=== screen_effects/Makefile ===
# This uses file_to_pascal_string, a trivial program
# from the pasdoc [http://pasdoc.sf.net/] project, see
# [https://pasdoc.svn.sourceforge.net/svnroot/pasdoc/trunk/source/tools/file_to_pascal_string.dpr]

ALL_TARGETS := ../code/screen_effects_flashlight.glsl.inc \
               ../code/screen_effects_edge_detect.glsl.inc

default: $(ALL_TARGETS)

clean:
	rm -f $(ALL_TARGETS)

../code/screen_effects_%.glsl.inc: %.glsl
	file_to_pascal_string $< $@

=== debian/changelog ===
view3dscene (3.18.0-2) unstable; urgency=medium

  * [tests] Only test on kicad-common on amd64 as it really takes long and
    currently prevents armel/armhf from building in time

 -- Paul Gevers <elbrus@debian.org>  Mon, 12 Feb 2018 22:46:30 +0100

view3dscene (3.18.0-1) unstable; urgency=medium

  * New upstream release
  * Drop B-D on cge-src as it isn't needed anymore (Closes: #751473)
  * Bump B-D on fp-units-castle-game-engine to prevent FTBFS
  * Bump standards to 4.1.3 (no changes)
  * Bump debhelper compat level to 11 and set Rules-Requires-Root to no
  * Migrate VCS fields to Salsa URL

 -- Paul Gevers <elbrus@debian.org>  Sun, 11 Feb 2018 20:42:40 +0100

=== debian/control ===
--- 
+++ 
@@ -5,19 +5,18 @@
 Uploaders:
  Abou Al Montacir <abou.almontacir@sfr.fr>,
  Paul Gevers <elbrus@debian.org>
-Standards-Version: 4.0.0
+Standards-Version: 4.1.3
 Build-Depends:
- castle-game-engine-src (>= 6.2~),
- debhelper (>= 10~),
+ debhelper (>= 11~),
  fp-compiler,
- fp-units-castle-game-engine (>= 6.2~),
+ fp-units-castle-game-engine (>= 6.4~),
  fp-units-fcl,
  fp-units-gfx,
  fp-units-gtk2,
  fp-units-net,
  fp-utils (>= 2.6.2),
  inkscape,
- kicad-common,
+ kicad-common [amd64],
  libatk1.0-dev,
  libgdk-pixbuf2.0-dev,
  libgtk2.0-dev,
@@ -25,9 +24,10 @@
  libpango1.0-dev,
  libx11-dev,
  whitedune-docs,
-Vcs-Git: https://anonscm.debian.org/git/pkg-pascal/view3dscene.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-pascal/view3dscene.git
+Vcs-Git: https://salsa.debian.org/pascal-team/view3dscene.git
+Vcs-Browser: https://salsa.debian.org/pascal-team/view3dscene.git
 Homepage: https://castle-engine.sourceforge.io/view3dscene.php
+Rules-Requires-Root: no
 
 Package: view3dscene
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -41,12 +41,6 @@
 	$(MAKE) clean-code
 	dh_auto_clean
 
-override_dh_auto_configure:
-	if [ ! -f castleconf.inc ] ; then \
-		ln -s `dpkg-query -L castle-game-engine-src | grep castleconf.inc` ./ ;\
-	fi
-	dh_auto_configure
-
 override_dh_auto_build-arch:
 	mkdir -p $(TMP_DIR)
 
@@ -64,10 +58,14 @@
 	# We need the directories where the files to test are to be
 	# writeable by the current (non-root) user. Copying them in
 	# the current tree is the easiest way to accomplish that.
+	mkdir -p $(TMP_DIR)/whitedune
+	cp -R /usr/share/doc/whitedune-docs/ $(TMP_DIR)/whitedune
+	# Only add kicad on amd64 because it is so big and takes so long. Build
+	# even runs out of time on armel/armhf otherwise
+ifeq ($(DEB_BUILD_ARCH),amd64)
 	mkdir -p $(TMP_DIR)/kicad
-	mkdir -p $(TMP_DIR)/whitedune
 	cp -R /usr/share/kicad/modules/ $(TMP_DIR)/kicad
-	cp -R /usr/share/doc/whitedune-docs/ $(TMP_DIR)/whitedune
+endif
 	PATH=$$PATH:$(CURDIR)/code jenkins_scripts/run_tests.sh $(TMP_DIR)/run_tests_errors.txt $(TMP_DIR)/run_tests_output.txt
 	cat $(TMP_DIR)/run_tests_errors.txt

=== debian/watch ===
version=3
http://sf.net/castle-engine/ view3dscene-(.*)-src.tar.gz debian

## view3dscene 4.0.0

=== Makefile ===
--- 
+++ 
@@ -37,13 +37,13 @@
 	install view3dscene $(BINDIR)
 	install tovrmlx3d $(BINDIR)
 	install -d  $(DATADIR)
-	cd desktop/ && ./install.sh "$(DATADIR)"
+	cd freedesktop/ && ./install.sh "$(DATADIR)"
 
 .PHONY: uninstall
 uninstall:
 	rm -f $(BINDIR)/view3dscene \
 	      $(BINDIR)/tovrmlx3d
-	cd desktop/ && ./uninstall.sh "$(DATADIR)"
+	cd freedesktop/ && ./uninstall.sh "$(DATADIR)"
 
 # code generation ------------------------------------------------------------

=== embedded_data/Makefile ===
default:
	$(MAKE) -C designs/
	$(MAKE) -C images/
	$(MAKE) -C scenes/
	$(MAKE) -C screen_effects/

clean:
	$(MAKE) -C designs/ clean
	$(MAKE) -C images/ clean
	$(MAKE) -C scenes/ clean
	$(MAKE) -C screen_effects/ clean

=== embedded_data/screen_effects/Makefile ===
# This requires file_to_pascal_string from PasDoc
# ( https://github.com/pasdoc/pasdoc/wiki ) project. Get it and compile from
# https://raw.githubusercontent.com/pasdoc/pasdoc/master/source/tools/file_to_pascal_string.dpr .

ALL_TARGETS := screen_effects_flashlight.glsl.inc \
               screen_effects_edge_detect.glsl.inc

default: $(ALL_TARGETS)

clean:
	rm -f $(ALL_TARGETS)

screen_effects_%.glsl.inc: %.glsl
	file_to_pascal_string $< $@

=== debian/changelog ===
view3dscene (4.0.0-3ubuntu1) jammy; urgency=medium

  * Filter -ffat-lto-objects from LDFLAGS to avoid
    '-f may not be used without -shared' link error

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 14 Apr 2022 12:53:10 +0000

view3dscene (4.0.0-3) unstable; urgency=medium

  * Updated build script to use CGE units new installation directory.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 06 Feb 2022 22:22:19 +0100

view3dscene (4.0.0-2) unstable; urgency=medium

  * Added recommend dependency on sensible-utils package advised by Lintian.
  * Dropped optional license not yet agreed to be DFSG compatible.
  * Filter out auto-generated files upon source import.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 07 Nov 2021 15:46:28 +0100

view3dscene (4.0.0-1) stable; urgency=medium

  [ Jenkins ]
  * Update watch file format version to 4.
    Changes-By: lintian-brush
    Fixes: lintian: older-debian-watch-file-standard
    See-also:
      https://lintian.debian.org/tags/older-debian-watch-file-standard.html
  * Update standards version to 4.5.1, no changes needed.
    Changes-By: lintian-brush
    Fixes: lintian: out-of-date-standards-version
    See-also: https://lintian.debian.org/tags/out-of-date-standards-version.html

  [ Abou Al Montacir ]
  * Fixed watch file after upstream URL changed.
  * Added GBP configuration file.
  * New upstream version 4.0.0
  * Fixed make clean target.
  * Fixed path of Castle Game Engine units. (Closes: Bug#997940)

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sat, 06 Nov 2021 20:54:06 +0100

view3dscene (3.18.0-4) unstable; urgency=medium

  * Use --export-filename i.s.o. --export-png (Closes: #959610)
  * Bump debhelper compat to 13 (via debhelper-compat)
  * Bump standards
  * Drop versioned B-D fp-utils, even jessie has higher

 -- Paul Gevers <elbrus@debian.org>  Wed, 06 May 2020 20:34:49 +0200

view3dscene (3.18.0-3) unstable; urgency=medium

  * Temporarily drop dependency on again kicad-common as that FTBFS (we
    don't need it, just nice to have)

 -- Paul Gevers <elbrus@debian.org>  Tue, 05 Jun 2018 21:10:40 +0200

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,22 @@
 Source: view3dscene
 Section: misc
 Priority: optional
-Maintainer: Pascal Packaging Team <pkg-pascal-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Pascal Packaging Team <pkg-pascal-devel@lists.alioth.debian.org>
 Uploaders:
  Abou Al Montacir <abou.almontacir@sfr.fr>,
  Paul Gevers <elbrus@debian.org>
-Standards-Version: 4.1.3
+Standards-Version: 4.5.1
 Build-Depends:
- debhelper (>= 11~),
+ debhelper-compat (= 13),
  fp-compiler,
  fp-units-castle-game-engine (>= 6.4~),
  fp-units-fcl,
  fp-units-gfx,
  fp-units-gtk2,
  fp-units-net,
- fp-utils (>= 2.6.2),
- inkscape,
- kicad-common [amd64],
+ fp-utils,
+ inkscape (>= 1.0~),
  libatk1.0-dev,
  libgdk-pixbuf2.0-dev,
  libgtk2.0-dev,
@@ -25,7 +25,7 @@
  libx11-dev,
  whitedune-docs,
 Vcs-Git: https://salsa.debian.org/pascal-team/view3dscene.git
-Vcs-Browser: https://salsa.debian.org/pascal-team/view3dscene.git
+Vcs-Browser: https://salsa.debian.org/pascal-team/view3dscene
 Homepage: https://castle-engine.sourceforge.io/view3dscene.php
 Rules-Requires-Root: no
 
@@ -38,7 +38,8 @@
  zlib1g
 Recommends:
  libopenal1,
- libvorbisfile3
+ libvorbisfile3,
+ sensible-utils
 Suggests:
  graphicsmagick-imagemagick-compat | imagemagick,
  libav-tools | ffmpeg

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS := hardening=+bindnow
export DH_ALWAYS_EXCLUDE := COPYING:LICENSE
export LANG:=C

include /usr/share/dpkg/architecture.mk

# Set FPCVER
FPCVER=$(shell fpc -iV)

# Define FPC units installation default directory
FPCDIR=/usr/lib/${DEB_TARGET_MULTIARCH}/fpc/${FPCVER}

# Get directories
CURDIR:=$(shell pwd)
TMP_DIR=$(CURDIR)/debian/tmp

# Get FPC and CGE units installation path
CGE_UNITS_DIR=${FPCDIR}/units/castle-game-engine

# Set default compilation options
LDFLAGS=$(strip $(shell DEB_BUILD_MAINT_OPTIONS=$(DEB_BUILD_MAINT_OPTIONS) \
	dpkg-buildflags --get LDFLAGS | \
	sed -e 's/-Wl,//g' -e 's/,/ /g' -e 's1-specs=/usr/share/dpkg/.*\.specs11' -e 's/-ffat-lto-objects//'))
BUILDOPTS=-k"${LDFLAGS}"\
	-dRELEASE \
	-Mobjfpc \
	-Sh \
	-Ci \
	-Sm \
	-Sc \
	-Sg \
	-Si \
	-O2 \
	-Xs \
	-Fu${CGE_UNITS_DIR} \

#export DH_VERBOSE=1

%:
	dh ${@}

override_dh_auto_clean:
	$(MAKE) clean-code
	dh_auto_clean

override_dh_auto_build-arch:
	mkdir -p $(TMP_DIR)

	# Once pasdoc ships file_to_pascal_string, the next lines can be simplified
	fpc -FE$(TMP_DIR) debian/file_to_pascal_string.dpr
	PATH=${PATH}:$(TMP_DIR) $(MAKE) generate-code

	fpc $(BUILDOPTS) code/view3dscene.lpr
	fpc $(BUILDOPTS) code/tovrmlx3d.lpr

	inkscape --export-width=48 --export-height=48 freedesktop/view3dscene.svg \
		--export-filename=freedesktop/view3dscene.png

override_dh_auto_test:
	# Code to run the package test suite.
	# We need the directories where the files to test are to be
	# writeable by the current (non-root) user. Copying them in
	# the current tree is the easiest way to accomplish that.
	mkdir -p $(TMP_DIR)/whitedune
	cp -R /usr/share/doc/whitedune-docs/ $(TMP_DIR)/whitedune
	PATH=$$PATH:$(CURDIR)/code jenkins_scripts/run_tests.sh $(TMP_DIR)/run_tests_errors.txt $(TMP_DIR)/run_tests_output.txt
	cat $(TMP_DIR)/run_tests_errors.txt

override_dh_auto_install:

## view3dscene 4.2.0

=== Makefile ===
--- 
+++ 
@@ -1,21 +1,24 @@
 # build / clean --------------------------------------------------------------
+
+# Hint: use
+#   export CASTLE_ENGINE_TOOL_OPTIONS='--mode=debug'
+#   make
+# to build in debug mode.
 
 .PHONY: compile
 compile:
 	./compile.sh
 
-# Run also "dircleaner . clean" here to really clean
 .PHONY: clean
 clean:
-	if which castle-engine > /dev/null; then castle-engine clean; else rm -f code/*.ppu code/*.o code/*.or code/*.rst code/*.rsj code/*.compiled; fi
-	rm -f view3dscene view3dscene.exe code/view3dscene code/view3dscene.exe \
-	      tovrmlx3d tovrmlx3d.exe code/tovrmlx3d code/tovrmlx3d.exe
+	castle-engine clean
+	castle-engine clean --manifest-name=CastleEngineManifest.tovrmlx3d.xml
+# remove also macOS stuff
 	rm -Rf view3dscene.app \
 	       tovrmlx3d.app \
 	       macosx/view3dscene.app \
 	       macosx/tovrmlx3d.app \
-	       macosx/*.dmg \
-	       castle-engine-output
+	       macosx/*.dmg
 
 # install / uninstall --------------------------------------------------------
 #

=== freedesktop/Makefile ===
# See INSTALL file for some comments about installing desktop data.

APP_NAME := view3dscene

VIEW3DSCENE_ICON := ../../www/logo/6_thicker.svg

ALL_IMAGES := $(APP_NAME).png $(APP_NAME).svg $(APP_NAME).icns

.PHONY: all_images
all_images: $(ALL_IMAGES)

# Copy/convert $(VIEW3DSCENE_ICON) to nice names, in svg and (48x48) png.
$(APP_NAME).svg: $(VIEW3DSCENE_ICON)
	cp -f $< $@

$(APP_NAME).png: $(VIEW3DSCENE_ICON)
	inkscape --export-width=48 --export-height=48 $< --export-png=$@

$(APP_NAME).icns: $(VIEW3DSCENE_ICON)
	../../scripts/svg_to_icns.sh $< $@

=== embedded_data/designs/Makefile ===
# This requires file_to_pascal_string from PasDoc
# ( https://github.com/pasdoc/pasdoc/wiki ) project. Get it and compile from
# https://raw.githubusercontent.com/pasdoc/pasdoc/master/source/tools/file_to_pascal_string.dpr .

ALL_TARGETS := help_message.castle-user-interface.inc main.castle-user-interface.inc

default: $(ALL_TARGETS)

clean:
	rm -f $(ALL_TARGETS)

%.castle-user-interface.inc: %.castle-user-interface
	file_to_pascal_string $< $@

=== embedded_data/images/Makefile ===
.PHONY: all clean

ALL_UNITS=../../code/v3dsceneimages.pas

all: $(ALL_UNITS)

clean:
	rm -f $(ALL_UNITS)

../../code/v3dsceneimages.pas: warning_icon.png examine.png walk.png fly.png \
  open.png screenshot.png examine_tooltip.png walk_fly_tooltip.png animations.png \
  TooltipArrow.png light_gizmo.png
	image-to-pascal --output ../../code V3DSceneImages \
	  warning_icon.png examine.png walk.png fly.png open.png \
	  screenshot.png TooltipArrow.png light_gizmo.png animations.png \
	  Panel.png PanelSeparator.png \
	  @alpha=strip examine_tooltip.png walk_fly_tooltip.png

=== debian/changelog ===
view3dscene (4.2.0-1) unstable; urgency=medium

  * Updated gbp import filter to exclude automatically generated files.
  * New upstream version 4.2.0 (Closes: Bug#1022343)
  * Updated Debian build rules and patches to fit new release changes.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 06 Nov 2022 18:54:46 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: view3dscene
 Section: misc
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Pascal Packaging Team <pkg-pascal-devel@lists.alioth.debian.org>
+Maintainer: Pascal Packaging Team <pkg-pascal-devel@lists.alioth.debian.org>
 Uploaders:
  Abou Al Montacir <abou.almontacir@sfr.fr>,
  Paul Gevers <elbrus@debian.org>
@@ -10,7 +9,7 @@
 Build-Depends:
  debhelper-compat (= 13),
  fp-compiler,
- fp-units-castle-game-engine (>= 6.4~),
+ fp-units-castle-game-engine,
  fp-units-fcl,
  fp-units-gfx,
  fp-units-gtk2,

=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,7 @@
 # Set default compilation options
 LDFLAGS=$(strip $(shell DEB_BUILD_MAINT_OPTIONS=$(DEB_BUILD_MAINT_OPTIONS) \
 	dpkg-buildflags --get LDFLAGS | \
-	sed -e 's/-Wl,//g' -e 's/,/ /g' -e 's1-specs=/usr/share/dpkg/.*\.specs11' -e 's/-ffat-lto-objects//'))
+	sed -e 's/-Wl,//g' -e 's/,/ /g' -e 's1-specs=/usr/share/dpkg/.*\.specs11'))
 BUILDOPTS=-k"${LDFLAGS}"\
 	-dRELEASE \
 	-Mobjfpc \
@@ -52,8 +52,8 @@
 	fpc -FE$(TMP_DIR) debian/file_to_pascal_string.dpr
 	PATH=${PATH}:$(TMP_DIR) $(MAKE) generate-code
 
-	fpc $(BUILDOPTS) code/view3dscene.lpr
-	fpc $(BUILDOPTS) code/tovrmlx3d.lpr
+	fpc $(BUILDOPTS) -Ficode -Fucode view3dscene.lpr
+	fpc $(BUILDOPTS) -Ficode -Fucode tovrmlx3d.lpr
 
 	inkscape --export-width=48 --export-height=48 freedesktop/view3dscene.svg \
 		--export-filename=freedesktop/view3dscene.png
@@ -65,7 +65,7 @@
 	# the current tree is the easiest way to accomplish that.
 	mkdir -p $(TMP_DIR)/whitedune
 	cp -R /usr/share/doc/whitedune-docs/ $(TMP_DIR)/whitedune
-	PATH=$$PATH:$(CURDIR)/code jenkins_scripts/run_tests.sh $(TMP_DIR)/run_tests_errors.txt $(TMP_DIR)/run_tests_output.txt
+	PATH=$$PATH:$(CURDIR) jenkins_scripts/run_tests.sh $(TMP_DIR)/run_tests_errors.txt $(TMP_DIR)/run_tests_output.txt
 	cat $(TMP_DIR)/run_tests_errors.txt
 
 override_dh_auto_install:

=== debian/watch ===
version=4
opts=\
compression=xz,\
repack,\
repacksuffix=+dfsg,\
uversionmangle=s/-/~/,\
dversionmangle=s/\+dfsg(\d*)//,\
filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%view3dscene-$1.tar.xz% \
	https://github.com/castle-engine/view3dscene/tags \
	(?:.*?/)?v?@ANY_VERSION@\.tar\.gz debian
